Hardware and Software Selection
 


Hardware Selection Criteria

  • Hardware must support current software as well as software planned for procurement over the next planning interval [year, 18 months, three years]
  • Hardware must be compatible with existing or planned networks
  • Hardware must be upgradeable and expandable to meet the needs of the next planning interval
  • Hardware warranties must be of an appropriate length
  • Hardware maintenance must be performed by [local/remote vendor, in-house personnel]
  • Whenever feasible, hardware standards will dictate procurement of like brands and configurations to simplify installation and support
  • Routine assessments of installed infrastructure will feed an upgrade/replace decision process

Software Selection Criteria

  • Software must be compatible with current and future hardware over the next planning interval
  • Software maintenance and warranties must be of appropriate length and cost
  • Sotware help desk must be maintained by [vendor, third party, in-house personnel]
  • Software must be standardized throughout the business to improve purchasing power, simplify training, and facilitate support
  • Software must comply with current standards set by technology leadership
  • Software must support and enhance business goals

In addition to these hardware and software selection criteria, StratVantage will evaluate the proposed vendors on several criteria, including:

Stability — Vendor's attributes such as length of operations, size of customer base, size of income and revenue, company size, leadership, stock history and more can affect a technology purchasing decision

Proven Track Record — A vendor's experience not only in the broader market but in your business' specific industry can be key

Business Model Fit — If the vendor is offering, for example, software as a service, but your business isn't always Internet-connected, this business model mismatch could rule out the vendor

Mature Technology — You want to see continuity in the vendor's offerings. If the vendor has been through a series of acquisitions and is just now integrating new technology with an old line of business, you may want to obtain assurances on the longevity of the vendor's solution.

Service Level Agreements Unfortunately, most vendor Service Level Agreements (SLAs) aren't worth the paper they are printed on. We'll help you understand the vendor's SLA and negotiate a service level partnership instead.


An example hardware and software need for Oracle products -

2.1 Hardware Requirements

For the most current list of hardware requirements, check the OracleMetaLink site https://metalink.oracle.com.

Oracle Business Intelligence has the following minimum hardware requirements.

2.1.1 Minimum Hardware Requirements

Oracle Business Intelligence on Windows has the following hardware requirements for the machine hosting the middle tier:

Table 2-1 Minimum Hardware Requirements

Hardware Item Minimum Requirements

CPU

900 MHz Intel Itanium Processor (500 MHz recommended)

Memory

512 MB

Diskspace

880 MB

Space in TEMP directory

256 MB

Virtual Memory

1535 MB

Monitor

256 color display

For a user to run Discoverer Plus on a client machine:

  • there must be at least 30 MB of Users Personal Profile Space for the Oracle Jar Cache

  • to install a Java Virtual Machine:

    • the user must have Administrative privileges on the client machine

    • there must be a minimum of between 25 MB and 50 MB of available disk space

For the most current list of hardware requirements, check the OracleMetaLink site (https://metalink.oracle.com).

2.2 Software Requirements

You can install Oracle Business Intelligence:

  • On a computer that is not on a network. You must configure the computer to use either a static IP address or a loopback IP address. Configure the computer to resolve the hostname of the computer to either the static IP address or the loopback IP address.

  • On a computer on a Dynamic Host Configuration Protocol (DHCP) network. You must use a loopback configuration. Configure the computer to resolve the hostname of the computer to the loopback IP address.

2.2.1 System Requirements

For Oracle Business Intelligence, the operating system requirement for the computer hosting the middle tier is Microsoft Windows 2003 (64 bit) with Service Pack 1 or later.

Oracle Business Intelligence has the following operating system requirements for client computers.

Table 2-2 Operating System Requirements for Client Computers

Operating System Additional Requirements

Microsoft Windows 2000

Service Pack 4 or later

Microsoft Windows XP Professional Edition

None

Microsoft Windows 2003 (64 bit)

Service Pack 1 or later

For the most current list of operating system requirements, check the OracleMetaLink site https://metalink.oracle.com.

2.3 Database Requirements

Oracle Business Intelligence 10g Release 2 (10.1.2) is supported with the following database versions:

  • Oracle9i Release 2 Database (9.2.0.6 and higher)

  • Oracle Database 10g Enterprise Edition Release 1 (10.1.0.4 and higher)

  • Oracle Database 10g Enterprise Edition Release 2 (10.2.0.1 and higher); certification is planned

The latest information on supported versions is available on the Certify application on https://metalink.oracle.com.

2.3.1 Downloading the Most Recent OLAP Patch

When querying a multidimensional data source, only particular database releases and patches are supported. Use the following procedure to access the latest OLAP patches:

  1. Log into OracleMetalink at https://metalink.oracle.com.

  2. Click Patches.

  3. Click Advanced Search.

  4. In the Advanced Search screen, fill in the fields as follows:

    • Product or Product Family: Click the Search icon, and from the Search In field, choose Database & Tools. Click View All. From the resulting list, click Oracle OLAP.

    • Release: Select the appropriate release number from the drop-down list.

    • Patch Type: Choose Any.

    • Platform or Language: Select the platform for your site.

    • Leave the remaining fields blank.

    Click Go to display a list of patches. You can identify the OLAP patches because they include "OLAP" in the patch name.

2.3.2 About Accepting the Default Setting for the OPTIMIZER_FEATURES_ENABLE Parameter

If you recently upgraded the Oracle database, then you might have set the OPTIMIZER_FEATURES_ENABLE initialization parameter to a value that enabled you to maintain the optimizer behavior of a previous release.

OracleBI Discoverer Plus OLAP takes advantage of the latest database features for optimal performance. OracleBI Discoverer Plus OLAP requires that the OPTIMIZER_FEATURES_ENABLE parameter be left at its default value for the respective database release (the default value is the database release number, such as 9.2.0.). Any other settings can lead to unexpected behavior.

Oracle does not recommend explicitly setting the OPTIMIZER_FEATURES_ENABLE parameter to an earlier release. Instead, resolve execution plan or query performance issues on a case-by-case basis.

2.4 Browser Requirements

Oracle Business Intelligence has the following browser requirements for client computers:

Table 2-3 Browser Requirements for Client Computers

Item Requirements

Microsoft Internet Explorer

5.5, 6.0 and higher

Netscape

7.1, 7.2

Mozilla

1.5 and higher


Note:

Popup blockers may prevent the launch of Discoverer Plus.

For the most current list of supported browsers, check the OracleMetaLink site (https://metalink.oracle.com).

2.5 Other Software Requirements

Oracle Business Intelligence has the following software requirements not described previously.

Table 2-4 Other Software Requirements

Item Requirements

Discoverer Viewer

To run Discoverer Viewer on a client machine, JavaScript and cookies must be enabled in the browser.

Microsoft Excel

To export to Microsoft Excel using Discoverer Plus Relational, Excel 97 (or later) is required. Note that Excel 2000 (or later) is required when exporting worksheets to Microsoft Excel Web Query format.

To export to Microsoft Excel using Discoverer Plus OLAP, Excel 2000 (or later) is required.

JRE

To run Discoverer Plus, one of the following JREs must be used:

  • Sun Java Plug-in 1.4.2_06 (recommended)

  • Oracle JInitiator 1.3.1.22